package com.ssm.manage.service;

import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.*;
import com.ssm.manage.query.RefundCashReqest;
import com.ssm.manage.query.RefundCourseRequest;
import com.ssm.manage.response.RefundCourseResponse;

import java.util.Date;
import java.util.List;

public interface SsmRefundCourseService extends BaseService<RefundCourse> {
    List<RefundCourseResponse> selectList(RefundCourseRequest refundCourseRequest);

    int addRefundCourse(List<RefundCourseRequest> courseListRequest, RefundOrderList refundOrderList) throws SmsException;

    int updateRefundCourse(List<RefundCourseRequest> courseListRequest, RefundOrderList refundOrderList) throws SmsException;

    int audit(RefundOrderList refundOrderList) throws SmsException;

    int unAudit(RefundOrderList refundOrderList) throws SmsException;

    List<RefundCourseResponse> selectList(Long storeId, String date);
    List<RefundCourse> selectListByStartTimeAndEndTime(Long storeId, Date startTime,Date endTime);
    List<RefundCourseResponse> selectListDept(Long storeId, String date);
    List<RefundCourseResponse> selectLists(Long storeId, String startDate,String endDate);
    List<RefundCourseResponse> selectListschia(Long storeId, Date startDate,Date endDate);

    void sendAudit(RefundOrderList refundOrderList) throws SmsException;

    void revokeAudit(RefundOrderList refundOrderList) throws SmsException;

    List<RefundCourse> selectListNew(RefundCourseRequest refundCourseRequest);
}
